Bug 144127 - CAN-2005-0085 XSS vulnerability in htdig 3.2.0b6 on FC3
CAN-2005-0085 XSS vulnerability in htdig 3.2.0b6 on FC3
Product: Fedora
Classification: Fedora
Component: htdig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-01-04 13:46 EST by Dave Miller
Modified: 2015-03-04 20:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-19 11:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Miller 2005-01-04 13:46:28 EST
Description of problem:
HTML metacharacters included in the config= parameter to htsearch are
displayed unmodified in the error message returned by htdig.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
you get an alertbox that says "foo" in it.

Expected results:
You shouldn't get an alert box.

Additional info:
This error was reported to webmaster@bugzilla.org by mikx@mikx.de
Comment 1 Dave Miller 2005-01-04 14:03:59 EST
The actual package revision (left that out on the initial report --
apologies) is:


I've also reproduced this on a Fedora Core 1 box with:

Comment 2 Josh Bressers 2005-01-05 08:23:01 EST
This issue should also affect FC2.
Comment 3 Mark J. Cox (Product Security) 2005-01-24 06:39:41 EST
Hi Dave; this bug is currently marked as embargoed.  We'd like to
share the details with other vendor security teams that may ship
htdig.  Have you contacted anyone else about this issue?   
Comment 5 Gervase Markham 2005-01-24 17:32:06 EST
Mark: Dave didn't actually discover the issue - mikx@mikx.de did. He
recently made about 44 XSS vulnerabilities (including one in Bugzilla)
public at the same time; I don't know if this was among them, or
whether it was a later discovery.

Comment 6 Mark J. Cox (Product Security) 2005-01-25 03:30:14 EST
Thanks Gervase; we've spoken to Michael yesterday and he has not yet
disclosed this particular issue, believing it due to site
configuration.  We've confirmed that it isn't a template flaw and have
started talking to other vendor security teams to co-ordinate a fix.
Comment 7 Mark J. Cox (Product Security) 2005-02-04 03:55:53 EST
Removing embargo - This issue was leaked public early by SUSE.
Comment 8 Dave Miller 2005-02-21 22:36:48 EST
apologies for not replying sooner, I'm not getting bugmail from
Bugzilla for some reason.  I didn't report it anywhere upstream
because I didn't have any non-redhat machines to test it on to verify
it wasn't just a redhat issue.  Looks like you've already figured out
that wasn't the case though.
Comment 9 Phil Knirsch 2005-04-19 05:58:03 EDT
Packages have been built, waiting for signing and push.

Read ya, Phil
Comment 10 Phil Knirsch 2005-04-19 11:22:00 EDT
Packages signed and pushed, annoucenment email sent.

Closing bug.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.